### File

`packages/components/layout/eui-toolbar/toolbar-search/toolbar-search.component.ts`

### Implements

`AfterViewInit` `AfterContentInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `eui-toolbar-search`
imports | `EUI_BUTTON` `EUI_ICON` `EUI_ICON_BUTTON` `EUI_AUTOCOMPLETE` `EUI_ICON_INPUT` `EUI_INPUT_TEXT` `EuiTemplateDirective` `NgTemplateOutlet` `FormsModule` `AsyncPipe`
templateUrl | `./toolbar-search.component.html`
styleUrl | `./toolbar-search.component.scss`

### Index

###### Properties

- isInputFocus
- Public resultItemTemplate
- searchInput
- searchTerm
- templates

###### Methods

- onInputBlur
- onInputFocus
- onSearch
- onSearchClick
- onSearchInput
- onSelectionChange

###### Inputs

- hasExpandAnimation
- hasSearchButton
- isAutocomplete
- isInputText
- panelWidth
- placeholderLabel
- searchResults

###### Outputs

- inputBlur
- inputFocus
- search
- searchClick
- selectionChange

###### HostBindings

- class

###### Accessors

- cssClasses

### Inputs

hasExpandAnimation
Type : `boolean`
Default value : `true`

hasSearchButton
Type : `boolean`
Default value : `false`

isAutocomplete
Type : `boolean`
Default value : `false`

isInputText
Type : `boolean`
Default value : `false`

panelWidth
Type : `string`
Default value : `'25vw'`

placeholderLabel
Type : `string`

searchResults
Type : `EuiAutoCompleteItem[]`
Default value : `[]`

### Outputs

inputBlur
Type : `EventEmitter<Event>`

inputFocus
Type : `EventEmitter<Event>`

search
Type : `EventEmitter<string>`

searchClick
Type : `EventEmitter<string>`

selectionChange
Type : `EventEmitter<EuiAutoCompleteItem[]>`

### HostBindings

class
Type : `string`

### Methods

onInputBlur
`onInputBlur(event: Event)`

Parameters :

Name | Type | Optional
event | `Event` | No

Returns : `void`

onInputFocus
`onInputFocus(event: Event)`

Parameters :

Name | Type | Optional
event | `Event` | No

Returns : `void`

onSearch
`onSearch(e: string)`

Parameters :

Name | Type | Optional
e | `string` | No

Returns : `void`

onSearchClick
`onSearchClick(isIconOnly: boolean)`

Parameters :

Name | Type | Optional
isIconOnly | `boolean` | No

Returns : `void`

onSearchInput
`onSearchInput(e: KeyboardEvent)`

Parameters :

Name | Type | Optional
e | `KeyboardEvent` | No

Returns : `void`

onSelectionChange
`onSelectionChange(items: EuiAutoCompleteItem[])`

Parameters :

Name | Type | Optional
items | `EuiAutoCompleteItem[]` | No

Returns : `void`

### Properties

isInputFocus
Default value : `false`

Public resultItemTemplate
Type : `TemplateRef<literal type>`

searchInput
Type : `string`
Default value : `''`

searchTerm
Type : `string`

templates
Type : `QueryList<EuiTemplateDirective>`
Decorators : `@ContentChildren(EuiTemplateDirective)`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""